pyou Posted Sunday at 08:02 PM Share Posted Sunday at 08:02 PM (edited) Hi Strange request here. When i look at specific object in perspective view, would it be possible to switch to plan view, but centred on object of interest at the same distance as viewed in perspective view? Currently i just type in ''plan'' , but it gives overall view with all detail in drawing. I am not sure if there is a settings/command in autocad or i would need a lisp command to do this. Any ideas, please? Edited Monday at 10:15 PM by pyou Quote Link to comment Share on other sites More sharing options...
BIGAL Posted Sunday at 11:26 PM Share Posted Sunday at 11:26 PM Not sure exactly as I don't play with views except in layouts as plan production, but it sounds like what you want as a sequence. Plan Zoom Center pt scale The scale will be a number you may find that one number gives a reasonable zoomed in view. The pt will be a point selected in your isometric view. (setq pt (getpoint "\nPick a point ")) you could make a little defun that gets you the point, so run that 1st. (defun c:pt ( / ) (setq pt (getpoint "\nPick point ")) ) So the sequence becomes. Dbl click isometric view pt dbl click plan view plan z c pt 1000 Quote Link to comment Share on other sites More sharing options...
lastknownuser Posted Monday at 10:06 AM Share Posted Monday at 10:06 AM Check out this Quote Link to comment Share on other sites More sharing options...
pyou Posted Monday at 09:46 PM Author Share Posted Monday at 09:46 PM (edited) Something like this, but it's not working perfect, Any suggestions how to improve? Seems not to work properly with 3dpolylines, lines and polylines. Is there a way to click on polyline and that point to become a centre of object or something similar alternative? On other objects it seems to work as i want. Thank you Lisp: (defun c:ZoomToPlanView (/ obj obj_center) ;; Prompt the user to select an object (setq obj (car (entsel "\nSelect an object to view in plan view: "))) ;; Check if the user selected an object (if obj (progn ;; Get the object's center point (setq obj_center (cdr (assoc 10 (entget obj)))) ;; Switch to plan view (command "_.plan" "") ;; Zoom into the object (command "_.zoom" "_c" obj_center 1.0) (princ "\nObject displayed in plan view and zoomed.") ) (princ "\nNo object selected.") ) (princ) ) Edited Monday at 10:03 PM by pyou Quote Link to comment Share on other sites More sharing options...
BIGAL Posted Monday at 11:46 PM Share Posted Monday at 11:46 PM When using zoom c, I never found it to use 1.0, I think you need to do manually and see what Zoom C returns in your zoomed in/out view I doubt it will be 1.0. Current dwg zoom C = 55.797 not 1.0 value changes, zoom e, Zoom c = 163.78 Quote Link to comment Share on other sites More sharing options...
pyou Posted 3 hours ago Author Share Posted 3 hours ago still not found solution for 3dpolylines,lines and polylines. any help,please? Quote Link to comment Share on other sites More sharing options...
Tsuky Posted 41 minutes ago Share Posted 41 minutes ago And if you use the command DVIEW? ((lambda ( / e_sel e pt_sel) (princ "\nSelect an object.") (cond ((setq e_sel (entsel)) (setq e (car e_sel) pt_sel (osnap (cadr e_sel) "_near")) (command "_.dview" e "" "_points" "_none" (list (car pt_sel) (cadr pt_sel) 0.0) "_none" (list (car pt_sel) (cadr pt_sel) 1.0) "" ) ) (T (princ "\nNothing selected.")) ) (prin1) )) Quote Link to comment Share on other sites More sharing options...
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.